GDB (xrefs)

Classes | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
skiplist_entry Class Reference

## Classes
struct | private_key

## Public Member Functions
bool | skip_file_p (const symtab_and_line &function_sal) const
bool | skip_function_p (const char *function_name) const
int | number () const
bool | enabled () const
bool | file_is_glob () const
const std::string & | file () const
const std::string & | function () const
bool | function_is_regexp () const
void | enable ()
void | disable ()
| skiplist_entry (const skiplist_entry &)=delete
void | operator= (const skiplist_entry &)=delete
| skiplist_entry (bool file_is_glob, std::string &&file, bool function_is_regexp, std::string &&function, private_key)

## Static Public Member Functions
static void | add_entry (bool file_is_glob, std::string &&file, bool function_is_regexp, std::string &&function)

## Private Member Functions
bool | do_skip_file_p (const symtab_and_line &function_sal) const
bool | do_skip_gfile_p (const symtab_and_line &function_sal) const

## Private Attributes
int | m_number = -1
bool | m_file_is_glob
std::string | m_file
bool | m_function_is_regexp
std::string | m_function
gdb::optional< compiled_regex > | m_compiled_function_regexp
bool | m_enabled = true

## Detailed Description

Definition at line 40 of file skip.c.

## Constructor & Destructor Documentation

## ◆ skiplist_entry() [1/2]

skiplist_entry::skiplist_entry | ( | const skiplist_entry & |  | ) |
| delete

## ◆ skiplist_entry() [2/2]

skiplist_entry::skiplist_entry | ( | bool | file_is_glob,
|  | std::string && | file,
|  | bool | function_is_regexp,
|  | std::string && | function,
|  | private_key |
| ) |  |

Definition at line 119 of file skip.c.

References _, gdb::optional< T >::emplace(), flags, gdb_assert, m_compiled_function_regexp, m_file, m_file_is_glob, m_function, and m_function_is_regexp.

## Member Function Documentation

## ◆ add_entry()

void skiplist_entry::add_entry | ( | bool | file_is_glob,
|  | std::string && | file,
|  | bool | function_is_regexp,
|  | std::string && | function
| ) |  |
| static

Definition at line 150 of file skip.c.

References file(), file_is_glob(), function_is_regexp(), highest_skiplist_entry_num, and skiplist_entries.

Referenced by skip_command(), skip_file_command(), and skip_function().

## ◆ disable()

void skiplist_entry::disable | ( |  | ) |
| inline

Definition at line 67 of file skip.c.

References m_enabled.

## ◆ do_skip_file_p()

bool skiplist_entry::do_skip_file_p | ( | const symtab_and_line & | function_sal | ) | const
| private

Definition at line 483 of file skip.c.

References basenames_may_differ, compare_filenames_for_search(), symtab::filename, m_file, symtab_and_line::symtab, and symtab_to_fullname().

Referenced by skip_file_p().

## ◆ do_skip_gfile_p()

bool skiplist_entry::do_skip_gfile_p | ( | const symtab_and_line & | function_sal | ) | const
| private

Definition at line 510 of file skip.c.

References basenames_may_differ, compare_glob_filenames_for_search(), symtab::filename, gdb_filename_fnmatch(), m_file, symtab_and_line::symtab, and symtab_to_fullname().

Referenced by skip_file_p().

## ◆ enable()

void skiplist_entry::enable | ( |  | ) |
| inline

Definition at line 66 of file skip.c.

References m_enabled.

## ◆ enabled()

bool skiplist_entry::enabled | ( |  | ) | const
| inline

Definition at line 59 of file skip.c.

References m_enabled.

## ◆ file()

const std::string& skiplist_entry::file | ( |  | ) | const
| inline

Definition at line 61 of file skip.c.

References m_file.

Referenced by add_entry().

## ◆ file_is_glob()

bool skiplist_entry::file_is_glob | ( |  | ) | const
| inline

Definition at line 60 of file skip.c.

References m_file_is_glob.

Referenced by add_entry().

## ◆ function()

const std::string& skiplist_entry::function | ( |  | ) | const
| inline

Definition at line 62 of file skip.c.

References m_function.

## ◆ function_is_regexp()

bool skiplist_entry::function_is_regexp | ( |  | ) | const
| inline

Definition at line 63 of file skip.c.

References m_function_is_regexp.

Referenced by add_entry().

## ◆ number()

int skiplist_entry::number | ( |  | ) | const
| inline

Definition at line 58 of file skip.c.

References m_number.

Referenced by skip_delete_command().

## ◆ operator=()

void skiplist_entry::operator= | ( | const skiplist_entry & |  | ) |
| delete

## ◆ skip_file_p()

bool skiplist_entry::skip_file_p | ( | const symtab_and_line & | function_sal | ) | const

Definition at line 541 of file skip.c.

References do_skip_file_p(), do_skip_gfile_p(), m_file, m_file_is_glob, and symtab_and_line::symtab.

## ◆ skip_function_p()

bool skiplist_entry::skip_function_p | ( | const char * | function_name | ) | const

Definition at line 556 of file skip.c.

References compiled_regex::exec(), gdb_assert, m_compiled_function_regexp, m_function, m_function_is_regexp, and strcmp_iw().

## Member Data Documentation

## ◆ m_compiled_function_regexp

gdb::optional<compiled_regex> skiplist_entry::m_compiled_function_regexp
| private

Definition at line 110 of file skip.c.

Referenced by skip_function_p(), and skiplist_entry().

## ◆ m_enabled

bool skiplist_entry::m_enabled = true
| private

Definition at line 113 of file skip.c.

Referenced by disable(), enable(), and enabled().

## ◆ m_file

std::string skiplist_entry::m_file
| private

Definition at line 99 of file skip.c.

Referenced by do_skip_file_p(), do_skip_gfile_p(), file(), skip_file_p(), and skiplist_entry().

## ◆ m_file_is_glob

bool skiplist_entry::m_file_is_glob
| private

Definition at line 96 of file skip.c.

Referenced by file_is_glob(), skip_file_p(), and skiplist_entry().

## ◆ m_function

std::string skiplist_entry::m_function
| private

Definition at line 107 of file skip.c.

Referenced by function(), skip_function_p(), and skiplist_entry().

## ◆ m_function_is_regexp

bool skiplist_entry::m_function_is_regexp
| private

Definition at line 104 of file skip.c.

Referenced by function_is_regexp(), skip_function_p(), and skiplist_entry().

## ◆ m_number

int skiplist_entry::m_number = -1
| private

Definition at line 92 of file skip.c.

Referenced by number().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/skip.c